%global mod_name ssh-slaves-plugin
%global short_name ssh-slaves
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-ssh-slaves-plugin
Version:        1.6
Release:        4%{?dist}
Summary:        Jenkins SSH Slaves Plugin

License:        MIT
URL:            https://github.com/jenkinsci/ssh-slaves-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Taken from src/main/java/hudson/plugins/sshslaves/SSHLauncher.java
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.trilead:trilead-ssh2)
BuildRequires:  mvn(org.acegisecurity:acegi-security)
BuildRequires:  mvn(org.jenkins-ci.plugins:credentials)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.plugins:ssh-credentials)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)

BuildArch:      noarch

%description
This packages provides a means to launch Jenkins slaves via SSH.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .

%mvn_package ::hpi: __noinstall
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# tests are disabled because of missing dep (org.jenkins-ci.main:jenkins-test-harness)
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/%{short_name}.jar
xmvn-subst %{buildroot}/%{plugin_home}/WEB-INF/lib/

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.6-4
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.6-3
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Michal Srb <msrb@redhat.com> - 1.6-1
- Update to upstream version 1.6

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

